Description

This is a guide on how | set up the crochet build tool to compile an image for the Raspberry Pi 2.

Prepare the Environment

o Make sure the system is up to date:
pkg update && pkg upgrade
e |nstall a couple dependencies:
pkg install subversion git u-boot-rpi2
e Checkout the FreeBSD 11-CURRENT kernel sources:

svn co svn://svn0O.us-west.freebsd.org/base/head /usr/src

Install Crochet

e Clone the latest crochet from GitHub:

mkdir /usr/local/src && cd /usr/local/src
git clone https://github.com/freebsd/crochet.git
cd crochet

e Create config file from the sample config provided:
cp config.sh.sample config.sh
e Edit the crochet config file:

vi config.sh

o And modify the script to use the Raspberry Pi 2, and any additional parameters:

board_setup RaspberryPi2
option ImageSize 1950mb
option Growfs

option User pi

option SwapFile 1024mb
e Build the image:

sh crochet.sh -c config.sh

Write the Image

* Write the FreeBSD image to a micro SD card:
dd if=/usr/local/src/crochet/work/FreeBSD-armv6-11.0-RPI2-290209.img of=/dev/dal0 bs=1m

* Now insert the micro SD card into the Raspberry Pi 2, plug in power, and log in using the user created during the image
creation; username is pi, password is pi.

Post Install

¢ Since the Pi does not have an on board clock, ntp must be used to keep the time correct. Start and enable ntpd at boot:

echo 'ntpd_enable="YES"' >> /etc/rc.conf
service ntpd start

Resources

e https://github.com/freebsd/crochet
¢ https:/github.com/freebsd/crochet/wiki/How-to-Build-a-Disk-Image

History

#1 - 10/29/2015 08:14 PM - Daniel Curtis
- Description updated

- Category set to Embedded

- Status changed from New to In Progress

- % Done changed from 0 to 10

#2 - 10/30/2015 03:22 PM - Daniel Curtis

- Description updated

#3 - 11/01/2015 01:05 PM - Daniel Curtis
- Description updated

- % Done changed from 10 to 50

#4 - 11/02/2015 11:19 AM - Daniel Curtis
- Description updated
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#5 - 11/27/2015 03:44 PM - Daniel Curtis

- Status changed from Resolved to Closed
